#
# Dr. Mind
#
# Makefile for Turbo C 2.01 and OpenWatcom 1.9
# Copyright (C) 2019 Mateusz Viste
#

# uncomment one of the lines below to select your compiler of choice
COMPILER=tcc -mc -f- -O -Z -d -w
#COMPILER=wcl -0 -mc -oh -ox -wx -s -d0

all: drmind.exe

drmind.exe: drmind.c
	$(COMPILER) drmind.c
	upx -9 --8086 drmind.exe

clean:
	del *.exe
	del *.obj
	del *.zip

pkg: drmind.exe
	del *.zip
	zip -9 -o -k drmind10.zip drmind.exe drmind.txt license.txt front.dat ui.dat 0??.dat
	zip -9 -o -k drlite10.zip drmind.exe drmind.txt license.txt front.dat ui.dat
	zip -9 -o -k drsrc10.zip drmind.c license.txt makefile
